Menu

Mengenal Web Server XAMPP

Banyak orang tahu dari pengalaman mereka sendiri bahwa tidak mudah memasang server web Apache dan semakin sulit jika Anda ingin menambahkan MariaDB, PHP dan Perl. Tujuan XAMPP adalah membangun distribusi yang mudah dipasang agar pengembang bisa masuk ke dunia Apache. Untuk memudahkan pengembang, XAMPP dikonfigurasi dengan semua fitur yang diaktifkan. Dalam kasus penggunaan komersial silahkan lihat pada lisensi produk, dari sudut pandang XAMPP penggunaan komersial juga gratis. Saat ini ada distribusi untuk Windows, Linux, dan OS X.

XAMPP dimaksudkan hanya untuk tujuan pembangunan. Ini memiliki pengaturan konfigurasi tertentu yang memudahkan pengembangan secara lokal namun tidak aman jika Anda ingin agar pemasangan Anda dapat diakses oleh orang lain. Jika Anda ingin XAMPP Anda dapat diakses dari internet, pastikan Anda memahami implikasinya dan Anda memeriksa FAQ untuk mempelajari cara melindungi situs Anda. Sebagai alternatif, Anda bisa menggunakan WAMP, MAMP atau LAMP yang merupakan paket serupa yang lebih sesuai untuk produksi.



XAMPP adalah mudah untuk menginstal distribusi Apache yang berisi MariaDB, PHP, dan Perl. Download saja dan mulai installer Semudah itu. Untuk mendownload silahkan klik di sini!

Berikut beberapa pilihan versi paket XAMPP:

Versi 5.6.31 / PHP 5.6.31
Includes: Apache 2.4.26, MariaDB 10.1.25, PHP 5.6.31, phpMyAdmin 4.7.0, OpenSSL 1.0.2, XAMPP Control Panel 3.2.2, Webalizer 2.23-04, Mercury Mail Transport System 4.63, FileZilla FTP Server 0.9.41, Tomcat 7.0.56 (with mod_proxy_ajp as connector), Strawberry Perl 7.0.56 Portable

Versi 7.0.21 / PHP 7.0.21
Includes: Apache 2.4.26, MariaDB 10.1.25, PHP 7.0.21, phpMyAdmin 4.7.0, OpenSSL 1.0.2, XAMPP Control Panel 3.2.2, Webalizer 2.23-04, Mercury Mail Transport System 4.63, FileZilla FTP Server 0.9.41, Tomcat 7.0.56 (with mod_proxy_ajp as connector), Strawberry Perl 7.0.56 Portable

Versi 7.1.7 / PHP 7.1.7
Includes: Apache 2.4.26, MariaDB 10.1.25, PHP 7.1.7, phpMyAdmin 4.7.0, OpenSSL 1.0.2, XAMPP Control Panel 3.2.2, Webalizer 2.23-04, Mercury Mail Transport System 4.63, FileZilla FTP Server 0.9.41, Tomcat 7.0.56 (with mod_proxy_ajp as connector), Strawberry Perl 7.0.56 Portable

Requirements
Windows 2008, 2012, Vista, 7, 8 (Important: XP or 2003 not supported)